package treeBuilder;
import java.util.*;

/** this class holds object of type "attribute reference". Those are objects 
 * from a where-clause, which refer to one attribute in a table. This
 * must be constructed from a fromItem and works only for
 * TUPLE-fromItems */


public class tbAttributeItem extends tbItem{
    public tbFromItem fromItem;
    public String attribute;


    /** this constructor creates a new object from a (parent) fromItem
        and another string */
    public tbAttributeItem(tbFromItem init, String attributeP) {
        if (init.type!=Builder.TUPLE) {
            System.err.println("trying to create an attribute-item out of a from item other than of type TUPLE!");
            System.exit(0);
        }
        fromItem = init;
        attribute = new String(attributeP);
    }
    
    public String toString() {
        String result="ATT.REFERENCE: ";
        // not sure if that's correct...
        if (fromItem.alias!=null)
            result+= fromItem.alias;
        else
            result += fromItem.name;

        result+="."+attribute;

        /*        if (constraints.size()!=0) {
            for (Enumeration enum=constraints.elements();
                 enum.hasMoreElements();) {
                
                result += "\n"+ ((tbConstraint)enum.nextElement()).toString();
            }
        }
        */
        return result;
        
    }
    
}
