package treeBuilder;
import java.util.*;

public class tbFromItem extends tbItem{
    public String name = null;
    public String alias = null;
    public int type = Builder.ERROR;
    public String domainAttribute = null;

    Vector constraints = new Vector(5); // Vector of Constraints

    /** empty constructor is needed. */
    public tbFromItem() {
    }

    public tbFromItem(String nameP, int typeP) {
        name=new String(nameP);
        type=typeP;
    }

    public tbFromItem(String nameP, String aliasP, int typeP) {
        this(nameP,typeP);
        alias = new String(aliasP);
    }

    public void addConstraint(tbConstraint tmp) {
        constraints.addElement(tmp);
    }

    public String toString() {
        String result = Builder.typeNames[type]+":  " +name + " as " +alias;

        if (constraints.size()!=0) {
            for (Enumeration enum=constraints.elements();
                 enum.hasMoreElements();) {
                
                result += "\n"+ ((tbConstraint)enum.nextElement()).toString();
            }
        }
        return "\n"+result;
    }

}

