package treeBuilder;

/** a SQL-Constant */
public class tbConst extends tbItem {
    String value;

    /** creates a Const-object. The parameter is NOT converted to
        upperCase since this causes inconsistencies. (BUG 081600).*/
    public tbConst(String valueP) {
        value = new String(valueP);
    }

    public String getValue() {
        return value;
    }

    /** returns the value of this constant in uppercase letters */
    public String getVALUE() {
        return value.toUpperCase();
    }

    public String toString() {
        return "CONSTANT: "+value;
    }
}
